Bug 740771 - xfce4-xkb-plugin semi-randomly loses its config
Summary: xfce4-xkb-plugin semi-randomly loses its config
Keywords:
Status: CLOSED DUPLICATE of bug 838373
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 09:55 UTC by Denys Vlasenko
Modified: 2013-05-18 16:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:48:55 UTC


Attachments (Terms of Use)

Description Denys Vlasenko 2011-09-23 09:55:03 UTC
I have xfce4-xkb-plugin configured as follows:

Two layouts: us, ru
Layout switch: Left Win key.

Quite often after power-on layout switch key doesn't work. When I go to "properties, I find it reset to nothing, and have to again set it to Left Win.

Somewhat less often not only layout switch key is lost, but xfce4-xkb-plugin also forgets layout setup and reverts to standard one-layout config with US layout.

Comment 1 Christoph Wickert 2011-09-23 10:06:24 UTC
Do you connect any external keyboards, e.g. an USB keyboard or you have one attached to a docking station? Could this be a duplicate of bug 713826?

Comment 2 igor.redhat@gmail.com 2011-10-19 20:56:06 UTC
I have the same problem and yes, there is certainly some correlation with plugging/unplugging a USB keyboard.

Comment 3 igor.redhat@gmail.com 2011-10-19 21:00:55 UTC
btw, I am on F16 and the keyboard layouts were configured with xfce4-xkb-plugin, not with xfce4-keyboard-settings (the latter still says "system defaults").

Comment 4 Christoph Wickert 2011-10-19 21:34:31 UTC
(In reply to comment #2)
> I have the same problem and yes, there is certainly some correlation with
> plugging/unplugging a USB keyboard.

You need to do both to make it work properly.

Comment 5 igor.redhat@gmail.com 2011-10-25 23:06:30 UTC
(In reply to comment #4)
> You need to do both to make it work properly.

I've added the second layout to xfce4-keyboard-settings; it doesn't seem to make any discernible difference...

Comment 6 Fedora End Of Life 2012-08-07 19:48:57 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Christoph Wickert 2013-05-18 16:44:46 UTC

*** This bug has been marked as a duplicate of bug 838373 ***


Note You need to log in before you can comment on or make changes to this bug.